How to Fix the Error “Hyper-V cannot be installed: A hypervisor is already running”

January 20th, 2014 by Admin Leave a reply »

If you have tried to install the Hyper-V component in a VMware virtual machine running Windows Server 2008 or 2012, you probably encountered the following error: “Hyper-V can not be installed: The hypervisor is already running.” which prevents Hyper-V from being installed.

In this article we’ll show you how to fix this issue so you can run the Hyper-V inside your virtual machine. Here are the step-by-step instructions:

  1. Power down the virtual machine that you want to install Hyper-V on.
  2. In the Virtual Machine Settings dialog box, tick the box of “Virtualize Intel VT-x/EPT or AMD-v/RVI” to enable the Virtualization engine options.

    enable-vmware-vt

  3. Next you need to find the .vmx configuration file associated with your VMware virtual machine.
  4. Open the .vmx file with any text editor, add the following lines to the end of the VMX file:

    hypervisor.cpuid.v0 = “FALSE”
    mce.enable = “TRUE”
    vhv.enable = “TRUE”

    edit-vmx

Now turn on your virtual machine and install Hyper-V again. This will clear up the message saying that you cannot install Hyper-V because a hypervisor is already running.

Tips: If forgot the login password of a Windows virtual machine (Gen1 & Gen2) running in Hyper-V, you can reset Hyper-V password easily using PCUnlocker.